import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.guardrails.updateGuardrails({
updateGuardrailsRequest: {
guardrails: [
{
mode: "ban_words",
config: {
words: [
"spam",
"inappropriate",
],
},
},
],
},
});
console.log(result);
}
run();{
"object": "guardrails_settings",
"guardrails": [
{
"mode": "ban_words",
"enabled": true,
"config": {
"words": [
"spam",
"inappropriate"
]
}
}
],
"updated_at": 1704067200
}Update the guardrails configuration for the authenticated user. Configure multiple guardrail modes including ban words (custom word list), prompt injection detection, and system prompt leakage detection. Each guardrail can be individually enabled/disabled with custom thresholds and rejection messages.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.guardrails.updateGuardrails({
updateGuardrailsRequest: {
guardrails: [
{
mode: "ban_words",
config: {
words: [
"spam",
"inappropriate",
],
},
},
],
},
});
console.log(result);
}
run();{
"object": "guardrails_settings",
"guardrails": [
{
"mode": "ban_words",
"enabled": true,
"config": {
"words": [
"spam",
"inappropriate"
]
}
}
],
"updated_at": 1704067200
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
List of guardrails to configure
Show child attributes
Was this page helpful?